#include <iostream>
#include <cmath>

#include <stdio.h>

using namespace std;

int main(){
//	freopen("input.txt","rt",stdin);
//	freopen("output.txt","wt",stdout);
	
	double s1, s2, s3;
	scanf("%lf%lf%lf",&s1,&s2,&s3);
	
	printf("%.5lf",(sqrt(s1)+sqrt(s2)+sqrt(s3))*(sqrt(s1)+sqrt(s2)+sqrt(s3)));
	
	return 0;
}
